#TODO: Fix build system for EPEL5

Name:           libgaiagraphics
Version:        0.4
Release:        2%{?dist}
Summary:        Graphics canvas for GIS rendering

Group:          System Environment/Libraries
License:        LGPLv3+
URL:            http://www.gaia-gis.it/spatialite-2.4.0-4
Source0:        http://www.gaia-gis.it/spatialite-2.4.0-4/%{name}-%{version}.tar.gz

# Replace wrong license file
# Mail sent to author on Dec 4th 2011
Source1:        lgpl.txt

# Fedora's libgeotiff ships with pkgconfig.
# Since that is not standard, informing upstream is not useful.
Patch0:         %{name}_libgeotiff.patch

# Buildroot and the likes are left in place for ELGIS 5
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf
BuildRequires:  cairo-devel
BuildRequires:  libgeotiff-devel 
BuildRequires:  libjpeg-devel 
BuildRequires:  libpng-devel
# Is only checked for, but not actually used
BuildRequires:  proj-devel

%description
Libgaiagraphics wraps raster- and vector graphics, to implement a reasonably
abstract and platform independent graphics canvas for GIS rendering.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%patch0 -p1 -b .libgeotiff

%build
# configure.ac and Makefile.in are patched, hence the need to run autoconf
autoconf
%configure --disable-static

# Remove links to unused libraries
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Delete libtool archives, because we don't ship them
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Install license file
install -pm 644 %{SOURCE1} lgpl.txt

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS lgpl.txt
%{_libdir}/%{name}.so.*

%files devel
%{_includedir}/gaiagraphics.h
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/gaiagraphics.pc

%changelog
* Wed Nov 23 2011 Volker Fröhlich <volker27@gmx.at> - 0.4-3
- Replace wrong license file

* Sun Oct 30 2011 Volker Fröhlich <volker27@gmx.at> - 0.4-2
- Place isa in devel package's Requires
- Correct license to LPGLv3+
- Correct spelling of the name in description
- More specific file list
- Add Requires for pkgconfig to devel sub-package (EPEL 5)
- Switch to name and version macro in source URL
- Remove zlib-devel as BR; libpng-devel already requires it

* Tue Jan 18 2011 Volker Fröhlich <volker27@gmx.at> - 0.4-1
- Initial packaging
